CommonName (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.shared

## Class CommonName

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.shared.CommonName

- All Implemented Interfaces:
    Serializable

      @Entity
      public class CommonName
      extends Object
      implements Serializable

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `id`
    `static String` | `ID_FIELD`
    `protected String` | `language`
    `static String` | `LANGUAGE`
    `protected String` | `name`
    `static String` | `NAME`
    `static String` | `REFERENCE_RESULTROW_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonName()`
    `CommonName(String name, String language, int resultRowId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLanguage()`
    `String` | `getName()`
    `int` | `getResultRowId()`
    `void` | `setLanguage(String language)`
    `void` | `setName(String name)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ID_FIELD

          public static final String ID_FIELD

      See Also:
        Constant Field Values

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### LANGUAGE

          public static final String LANGUAGE

      See Also:
        Constant Field Values

    - #### REFERENCE_RESULTROW_ID

          public static final String REFERENCE_RESULTROW_ID

      See Also:
        Constant Field Values

    - #### id

          protected int id

    - #### name

          protected String name

    - #### language

          protected String language

  - ### Constructor Detail

    - #### CommonName

          public CommonName()

    - #### CommonName

          public CommonName(String name,
                    String language,
                    int resultRowId)

      Parameters:
        `name` -
        `language` -

  - ### Method Detail

    - #### getName

          public String getName()

      Returns:
        the name

    - #### setName

          public void setName(String name)

      Parameters:
        `name` - the name to set

    - #### getLanguage

          public String getLanguage()

      Returns:
        the language

    - #### setLanguage

          public void setLanguage(String language)

      Parameters:
        `language` - the language to set

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getResultRowId

          public int getResultRowId()

Copyright © 2013. All Rights Reserved.